DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Static Private Attributes | List of all members
IODSegmentationSeriesModule Class Reference

Class representing the Segmentation Series Module: More...

Inheritance diagram for IODSegmentationSeriesModule:

## Public Member Functions
| IODSegmentationSeriesModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor. More...
| IODSegmentationSeriesModule ()
| Constructor.
virtual | ~IODSegmentationSeriesModule ()
| Destructor.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of this module. More...
virtual OFCondition | getModality (OFString &value, const signed long pos=0) const
| Get Modality (always returns "SEG") More...
virtual OFCondition | getSeriesNumber (OFString &value, const signed long pos=0) const
| Get Series Number. More...
virtual OFCondition | getPPSSOPClassUID (OFString &value, const signed long pos=0) const
| Get Referenced PPS SOP Class UID. More...
virtual OFCondition | getPPSSOPInstanceUID (OFString &value, const signed long pos=0) const
| Get Referenced PPS SOP Instance UID. More...
virtual OFCondition | setSeriesNumber (const OFString &value, const OFBool checkValue=OFTrue)
| Set Series Number. More...
virtual OFCondition | setPPSSOPClassUID (const OFString &value, const OFBool checkValue=OFTrue)
| Set Referenced PPS SOP Class UID. More...
virtual OFCondition | setPPSSOPInstanceUID (const OFString &value, const OFBool checkValue=OFTrue)
| Set Referenced PPS SOP Instance UID. More...
Public Member Functions inherited from IODModule
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor. More...
| IODModule ()
| Constructor. More...
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy. More...
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy. More...
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor. More...
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch. More...
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set. More...
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set. More...
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | clearData ()
| Clear all attributes from the data that are handled by this module. More...
virtual void | inventMissing ()
| Set missing values by inventing "default values". More...
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module. More...
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3. More...
DcmItem & | getData ()
| Get the data handled by this module. More...
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class. More...
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item. More...
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules. More...
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components. More...
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing. More...
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e. More...

## Static Private Attributes
static const OFString | m_ModuleName
| Name of this module ("SegmentationSeriesModule")

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name. More...
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name. More...
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class. More...
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e. More...

## Detailed Description

Class representing the Segmentation Series Module:

Modality: (CS, 1, 1) Series Number: (IS, 1, 2) ReferencedPerformedProcedureStepSequence: (SQ, 1, 1C) -> Referenced SOP Class UID: (UI, 1, 1) -> Referenced SOP Instance UID: (UI, 1, 1)

## Constructor & Destructor Documentation

## ◆ IODSegmentationSeriesModule()

IODSegmentationSeriesModule::IODSegmentationSeriesModule | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules
| ) |  |

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.

## Member Function Documentation

## ◆ getModality()

virtual OFCondition IODSegmentationSeriesModule::getModality | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Modality (always returns "SEG")

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getName()

virtual OFString IODSegmentationSeriesModule::getName | ( |  | ) | const
| virtual

Get name of this module.

Returns
  Name of the module ("SegmentationSeriesModule")

Implements IODComponent.

## ◆ getPPSSOPClassUID()

virtual OFCondition IODSegmentationSeriesModule::getPPSSOPClassUID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Referenced PPS SOP Class UID.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getPPSSOPInstanceUID()

virtual OFCondition IODSegmentationSeriesModule::getPPSSOPInstanceUID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Referenced PPS SOP Instance UID.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getSeriesNumber()

virtual OFCondition IODSegmentationSeriesModule::getSeriesNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Series Number.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setPPSSOPClassUID()

virtual OFCondition IODSegmentationSeriesModule::setPPSSOPClassUID | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Referenced PPS SOP Class UID.

Parameters

  value | Value to be set (single value only). If an empty string is passed, the value "1" is set when displaying or writing the document since the corresponding DICOM attribute is mandatory.
  checkValue | Check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setPPSSOPInstanceUID()

virtual OFCondition IODSegmentationSeriesModule::setPPSSOPInstanceUID | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Referenced PPS SOP Instance UID.

Parameters

  value | Value to be set (single value only). If an empty string is passed, the value "1" is set when displaying or writing the document since the corresponding DICOM attribute is mandatory.
  checkValue | Check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setSeriesNumber()

virtual OFCondition IODSegmentationSeriesModule::setSeriesNumber | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Series Number.

Parameters

  value | Value to be set (single value only). If an empty string is passed, the value "1" is set when displaying or writing the document since the corresponding DICOM attribute is mandatory.
  checkValue | Check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modsegmentationseries.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1